%include	/usr/lib/rpm/macros.java
%define		srcname	commons-codec
Summary:	Commons Codec Package
Summary(pl.UTF-8):	Pakiet Commons Codec
Name:		java-commons-codec
Version:	1.3
Release:	6
License:	Apache
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/codec/source/commons-codec-%{version}-src.tar.gz
# Source0-md5:	af3c3acf618de6108d65fcdc92b492e1
Patch0:		%{name}-buildscript.patch
URL:		http://commons.apache.org/codec/
BuildRequires:	ant >= 1.6.2
BuildRequires:	ant-junit
BuildRequires:	jpackage-utils
BuildRequires:	java-junit
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.556
BuildRequires:	sed >= 4.0
%buildrequires_jdk
Provides:	commons-codec
Obsoletes:	commons-codec
Obsoletes:	jakarta-commons-codec
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Commons Codec is an attempt to provide definitive implementations of
commonly used encoders and decoders.

%description -l pl.UTF-8
Commons Codec to próba dostarczenia ostatecznych implementacji
powszechnie używanych koderów i dekoderów.

%package javadoc
Summary:	Javadoc for %{name}
Summary(pl.UTF-8):	Dokumentacja javadoc dla pakietu %{name}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
Javadoc for %{name}.

%description javadoc -l pl.UTF-8
Dokumentacja javadoc dla pakietu %{name}.

%prep
%setup -qc
touch LICENSE

cd commons-codec-%{version}
%{__sed} -i -e 's,\r$,,' build.xml

# FIXME Remove SoundexTest which is failing
# and thus preventing the build to proceed.
# This problem has been communicated upstream Bug 31096
%patch0 -p1

%build
cd commons-codec-%{version}

export LC_ALL=en_US # source not in ASCII

required_jars="junit"
CLASSPATH=$(build-classpath $required_jars)
export CLASSPATH
export SHELL=/bin/sh

%ant -Dbuild.compiler=extJavac dist

%install
rm -rf $RPM_BUILD_ROOT
cd commons-codec-%{version}

# jars
install -d $RPM_BUILD_ROOT%{_javadir}
cp -a dist/%{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc commons-codec-%{version}/RELEASE-NOTES.txt
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-commons-codec.git;a=log;h=master

* Thu Jan 06 2011 pawelz <pawelz@pld-linux.org> 5583441
- fix builddeps:
  - do not force gcj
  - junit is java-junit now
  - bump rpmbuild macros BR
- rel 6

* Tue Feb 17 2009 pawelz <pawelz@pld-linux.org> e4554fb
- rebuild with java-gcj-compat-devel
- correct dir for javadoc
- rel 5

* Mon Feb 02 2009 Elan Ruusamäe <glen@pld-linux.org> 3538029
- Libraries/Java group

* Fri Jan 23 2009 pawelz <pawelz@pld-linux.org> 293eab1
- BR: sed >= 4.0

* Fri Jan 23 2009 pawelz <pawelz@pld-linux.org> d8e8321
- undos build.xml
- why does this stupid CVS undos patches???

* Fri Jan 23 2009 pawelz <pawelz@pld-linux.org> 0dd00cf
- renamed to java-commons-codec-buildscript.patch

* Fri Jan 23 2009 pawelz <pawelz@pld-linux.org> 0e8552c
- rename from jakarta-commons...

* Fri Jan 23 2009 pawelz <pawelz@pld-linux.org> ee5b949
- new Name (it is no longer part of jakarta project)
- adapterized

* Tue Dec 11 2007 Elan Ruusamäe <glen@pld-linux.org> 6ed13b6
- new url; rel 4

* Tue Apr 17 2007 Elan Ruusamäe <glen@pld-linux.org> fb8e4da
- unify java package; builds now

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6bca6cc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3b346cf
- converted to UTF-8

* Fri May 19 2006 Jacek Konieczny <jajcus@pld-linux.org> 80a3c11
- s/jakarta-ant/ant/ in BR

* Tue May 16 2006 Jakub Bogusz <qboosh@pld-linux.org> d5cf366
- pl, killed subshell, release 3

* Mon May 15 2006 ankry <ankry@pld-linux.org> b0b6cc2
- cosmetics

* Wed May 10 2006 Elan Ruusamäe <glen@pld-linux.org> 94444ea
- build fix

* Wed May 10 2006 Elan Ruusamäe <glen@pld-linux.org> df95c2c
- new, based on jpackage

